package utils.GUI.timers;


import java.awt.Panel;
import java.awt.Event;
import java.awt.GridLayout;
import java.awt.Button;


public class TimeControl extends Panel
implements utils.GUI.EventIDS{
  
  public static final String STOP =" Pause  ";
  public static final String START="Continue";

  public static final int VERTICAL=java.awt.Scrollbar.VERTICAL;
  public static final int HORIZONTAL=java.awt.Scrollbar.HORIZONTAL;

  public TimeControl(){
    this(HORIZONTAL);
  }

  public TimeControl(int align){
    super();
    if( align == VERTICAL ){
      setLayout( new GridLayout(2,1));
    }
    else{
      setLayout( new GridLayout(1,2) );
    }
    add( new Button(STOP) );
    add( new Button(START) );
  }

  public boolean action(Event e,Object arg){
    if( STOP.equals(arg)){
      postEvent(new Event(this,STOP_TIME,arg));
      return true;
    }
    else if( START.equals(arg)){
      postEvent(new Event(this,START_TIME,arg));
      return true;
    }
    else{
      return true;
    }
  }

}
