package utils.IO;

import java.util.Properties;

public class McProperties extends Properties{
  
  public McProperties(){
    super();
  }
  public McProperties(Properties defaults){
    super(defaults);
  }

  public int getIProperty(String key){
    return Integer.valueOf(getProperty(key)).intValue();
  }
  public long getLProperty(String key){
    return Long.valueOf(getProperty(key)).longValue();
  }
  public boolean getBProperty(String key){
    return Boolean.valueOf(getProperty(key)).booleanValue();
  }
  public double getDProperty(String key){
    return Double.valueOf(getProperty(key)).doubleValue();
  }
  public double getFProperty(String key){
    return Float.valueOf(getProperty(key)).floatValue();
  }
  public char getCProperty(String key){
    return getProperty(key).charAt(0);
  }
  public int getHexIProperty(String key){
    return Integer.parseInt(getProperty(key),16);
  }
}
