package utils.d2.primitive;

import utils.d2.*;

import java.awt.Graphics;
import java.awt.Point;


public class FPLine extends FPolygon{
  public static final String TYPE=KnownGP.FPLINE;

  public FPLine(Locatable owner){
    super(owner);
    hittable=false;
  }
  public FPLine(Locatable owner,TwoVector[] offs){
    super(owner,offs);
    hittable=false;
  }

  public void draw(Graphics g){
    Point q=master.getDisplay();
    
    xpoints[0]=q.x+d_x[0];
    ypoints[0]=q.y+d_y[0];
    
    for(int i=1;i<npoints;++i){
      xpoints[i]=q.x+d_x[i];
      ypoints[i]=q.y+d_y[i];
      g.drawLine( xpoints[i-1],ypoints[i-1],
		  xpoints[i],  ypoints[i] );
    }
  }
  public String getType(){ return KnownGP.FPLINE; }
}

