package utils.d2.primitive;


import utils.d2.TwoVector;

public class FSpeck extends FDisk{
  public static final String TYPE=KnownGP.FSPECK;
  
  
  public FSpeck(Locatable owner){
    super(owner,TwoVector.ZERO,0.0);
    hittable=false;
  }
  
  public void allowHits(boolean val){ /* do nothing */ }
  
  public Object clone(){
    return new FSpeck(master);
  }
  
  public void setRadius(double r){
    /* disabled */
  }
  
}
