package utils.d2.primitive;


import utils.d2.primitive.GraphicsPrimitive;
import utils.d2.primitive.Locatable;


/*************************************************************************
 *  the interface for GraphicsPrimitive which depend only on a single
 *  Locatable object for their drawing information
 *************************************************************************/

public interface SingleGP extends GraphicsPrimitive{
  
  public Locatable getMaster();
  public void      setMaster(Locatable l);

}
