package utils.d2.real;

import utils.d2.*;

public class DoubleLocation extends utils.d2.real.Location{
  protected TwoVector otherloc;

public DoubleLocation(){ /* do nothing */ }
public DoubleLocation(TwoVector l,TwoVector ol){
  super(l);
  otherloc=new TwoVector(ol);
}
public DoubleLocation(DoubleLocation dl){
  loc=new TwoVector(dl.loc);
  otherloc=new TwoVector(dl.otherloc);
  changed=true;
}
public Object clone(){
  return new DoubleLocation(this);
}
public final TwoVector getOtherLocation(){ return otherloc; }
public final TwoVector getCopyOtherLocation(){ return new TwoVector(otherloc);}
public void  setOtherLocation(TwoVector a){ 
  otherloc=a; 
  changed=true;
}

public void translate(TwoVector a){
  loc.plusEquals(a);
  otherloc.plusEquals(a);
  changed=true;
}

public void rotate(double angle){
  loc.rotate(angle);
  otherloc.rotate(angle);
  changed=true;
}

}
