package utils.d2.real;
import  utils.d2.TwoVector;
import  utils.d2.real.Realness;

/*****************************************************************
	the first real object merely specifies a single location in
	space  
********************************************************************/


public class Location implements Realness{
  protected TwoVector loc;
  protected boolean changed;
public Location(){ 
  loc=new TwoVector();
  changed=true;
}
public Location(TwoVector a){
  super();
  loc=new TwoVector(a);
  changed=true;
}
public Location(Location l){
   this( new TwoVector(l.loc));
}
public Object  clone(){
  return new Location(this);
}
public final TwoVector  getLocation(){ return loc; }
public final TwoVector  copyOfLocation(){ return new TwoVector(loc); }
public void setLocation(TwoVector a){ loc.setEqual(a);  changed=true;}
public void translate(TwoVector a){ 
  loc.plusEquals(a); 
  changed=true;
}
public void    rotate(double angle){ 
  loc.rotate(angle); 
  changed=true;
}
public final  void     rotateAbout(TwoVector a,double angle){
  translate(a.times(-1.0));
  rotate(angle);
  translate(a);
}

}
