package utils.d2.realvisible;

import utils.d2.real.DoubleLocation;
import utils.d2.realvisible.RealVisible;
import utils.d2.*;
import java.awt.Point;

public class LineSegment extends DoubleLocation implements RealVisible{
  Point a,b;
  
public LineSegment(TwoVector x,TwoVector y){
  super(x,y);
  a=new Point(0,0);
  b=new Point(0,0);
}

public LineSegment(TwoVector x,TwoVector y,TwoPerspective p){
  this(x,y);
  updateDisplay(p);
}
public LineSegment(DoubleLocation dl){
  super(dl);
  a=new Point(0,0);
  b=new Point(0,0);
}

public void updateDisplay(TwoPerspective p){
  if( changed || p.hasChanged() ){
    p.getDisplay(a,loc);
    p.getDisplay(b,otherloc);
    changed=false;
  }
}

public void draw(java.awt.Graphics g){
  g.drawLine(a.x,a.y,b.x,b.y);
}

public utils.d2.real.Realness getRealBasis(){
  return new DoubleLocation(loc,otherloc);
}
}


