package utils.d2.visible;

import utils.d2.real.Realness;
import utils.d2.TwoPerspective;

/***********************************************************************
	interface which defined an object which can be drawn 
	and is related to some "real" object

	NB  once created it is always attached to that real object
************************************************************************/

public interface Visible{
  public void draw(java.awt.Graphics g);

  public void updateDisplay(TwoPerspective p);
                  // make sure that it is ready to draw itself
                 //  in a manner which is consitent with the state of
                  // of the real object it is attached to
}
