
#ifndef TANGO_EVENT
#define TANGO_EVENT


#define CONTROL 30
#define DATA    31

struct Event {

int type;
int  len;
char *data;

};

int registerApp(int argc, char *argv[]);
void sendEvent(int sockfd, struct Event *e);
struct Event *receiveEvent(int sockfd);
struct Event *createEvent(int type, int len, char *data);
int getType(struct Event *e);
int getLen(struct Event *e);
char *getData(struct Event *e);
void destroyEvent(struct Event *e);

#endif
