import java.awt.Event;

/* Collects events sent to it via addEvent(Event e) and sends them to
   target.acceptEvent(Event e) when signaled via empty().  target must
   implement EventQueueTarget. */

public class EventQueue{
    EventQueueTarget target;
    Event event[];
    int length, entries;

    public EventQueue(EventQueueTarget target){
	length = 10;
	entries = 0;
	event = new Event[length];
	this.target = target;
    }

    public EventQueue(){
	length = 10;	
        entries = 0;
	event = new Event[length];
    }

    public void setTarget(EventQueueTarget target){
	this.target = target;
    }

    public void addEvent(Event e){
	event[entries] = e;
	++entries;
	if(entries == length){
	    Event old[] = event;
	    event = new Event[2*length];
	    for(int i = 0; i<entries; ++i){
		event[i] = old[i];
	    }
	    old = null;
	    length *= 2;
	}
    }

    public void empty(){
	for(int i = 0; i < entries; ++i){
	    target.acceptEvent(event[i]);
	}
	entries = 0;
    }
}
	    
	
