package utils.d2.primitive;

import utils.d2.TwoVector;


public class FCircle extends FDisk{
  public static final String TYPE=KnownGP.FCIRCLE;
  
  public FCircle(Locatable owner,TwoVector offset,double r){
    super(owner,offset,r);
    hittable=false;
  }
  
  public void draw(java.awt.Graphics g){
    java.awt.Point q=master.getDisplay();
    g.drawOval(q.x+d_offset.x-d_rad,q.y+d_offset.y-d_rad,d_dia,d_dia);
  }


  public Object clone(){
    return new FCircle(master,r_offset,r_rad);
  }
  
  public String getType(){ return KnownGP.FCIRCLE; }
  
}
