package utils.d2.primitive;

import java.awt.Point;
import java.awt.Graphics;

import utils.d2.TwoVector;


public class RPLine extends RPolygon{
  public static final String TYPE=KnownGP.RPLINE;
  
  public RPLine(Locatable owner){
    super(owner);
  }
  public RPLine(Locatable owner,TwoVector[] offs){
    super(owner,offs);
  }

  public String getType(){ return KnownGP.RPLINE; }
  
  public void draw(Graphics g){
    Point q=master.getDisplay();
    
    xpoints[0]=q.x+d_x[0];
    ypoints[0]=q.y+d_y[0];
    
    for(int i=1;i<npoints;++i){
      xpoints[i]=q.x+d_x[i];
      ypoints[i]=q.y+d_y[i];
      g.drawLine( xpoints[i-1],ypoints[i-1],
		  xpoints[i],  ypoints[i] );
    }
  }
  
}
