package utils.d2.real;

import utils.d2.*;

public class DirectedLocation extends utils.d2.real.Location{
  TwoVector dir;
  
public DirectedLocation(TwoVector l,TwoVector d){
  super(l);
  dir=d;
}
public DirectedLocation(DirectedLocation l){
  this( new TwoVector(l.loc),new TwoVector(l.dir));
}
public Object clone(){
  return new DirectedLocation(this);
}

public void setDirection(TwoVector a){
  dir=a;
  changed=true;
}
public TwoVector getDirection(){ return dir; }

public void spin(double angle){
  dir.rotate(angle);
  changed=true;
}

}
