package utils.d2.realvisible;

import utils.d2.*;
import utils.d2.real.SizedLocation;
import java.awt.Point;


public class Disk extends SizedLocation{
  protected Point ULcorner;
  protected int   diameter;

public Disk(){
  super();
  ULcorner=new Point(0,0);
  diameter=0;
}  
public Disk(TwoVector l,double r){
  super(l,r);
  ULcorner=new Point(0,0);
  diameter=0;
}

public Disk(SizedLocation d){
  super(d);
  ULcorner=new Point(0,0);
  diameter=0;
}


public void updateDisplay(TwoPerspective p){
  if( changed || p.hasChanged() ){
    /* temporarily */ diameter=(int)(getSize()*p.getScale());
    if(diameter<1) diameter=1;
    p.getDisplay(ULcorner,loc);
    ULcorner.x-=diameter; ULcorner.y-=diameter; 
    diameter*=2;
    changed=false;
  }
}

public void draw(java.awt.Graphics g){
  g.fillOval(ULcorner.x,ULcorner.y,diameter,diameter);
}

public utils.d2.real.Realness getRealBasis(){
  return new SizedLocation( loc, getSize());
}

}

