package utils.d3.primitive;

import utils.d3.*;

public class Location implements Locatable{
  
  ThreeVector loc;
  Locator   L;
  boolean moved;

  public Location(){
    loc=new ThreeVector();
    L=new Locator();
    moved=true;
  }
  public Location(ThreeVector v){
    loc=new ThreeVector(v);
    L=new Locator();
    moved=true;
  }

  public void setLocation(ThreeVector v){
    loc.set_equ(v);
    moved=true;
  }
  
  public void updateDisplay(Perspective p){
    if( moved || p.hasChanged() ){
      p.getDisplay(L,loc);
      moved=false;
    }
  }

  public ThreeVector getLocation(){ return loc; }
  
  public Locator getDisplay(){ return L; }
}

  
