package utils.d3.primitive;

import java.awt.Graphics;
import java.awt.Color;

import utils.d3.Locator;
import utils.d3.ThreeVector;

public class OMarker extends Marker{
  int sz2;

  public OMarker( ThreeVector v,int sz,Color c){
    super(v,sz,c);
    sz2=2*sz;
  }
  public OMarker(ThreeVector v,int sz){
    super(v,sz);
    sz2=2*sz;
  }

  public void draw(Graphics g){
    g.setColor(hue);  
    g.drawOval( L.x-size, L.y-size, sz2,sz2);
  }
}
