package utils.d3.primitive;

import java.awt.Graphics;
import java.awt.Color;

import utils.d3.Locator;
import utils.d3.ThreeVector;

public class XMarker extends Marker{
  
  public XMarker( ThreeVector v,int sz,Color c){
    super(v,sz,c);
  }
  public XMarker(ThreeVector v,int sz){
    super(v,sz);
  }

  public void draw(Graphics g){
    g.setColor(hue);
    g.drawLine( L.x-size, L.y-size, L.x+size, L.y+size );
    g.drawLine( L.x+size, L.y-size, L.x-size, L.y+size );
  }
}
