package utils.timers;

import utils.timers.Animated;

/** provides a Vector of animated things, 
    distributes calls to draw over all members
**/
public class SetOfAnimated extends java.util.Vector implements Animated{
  
public SetOfAnimated(){ super(); }

public void addAnimated(Animated a){
  addElement(a);
}
public Animated getAnimated(int i){
  return (Animated)elementAt(i);
}

public void draw(){
  for(int i=0;i<size();++i) getAnimated(i).draw();
}
}
