package utils.timers;

import utils.timers.Animated;
import utils.timers.Dynamic;


public class TimeJumper extends Thread{
  Dynamic realstuff;
  Animated view;
  
  double dt;
  double time;


public TimeJumper(Dynamic real,Animated v,double deltat){
  super();
  realstuff=real;
  view=v;
  dt=deltat;
}

public void jump(double net_time){
  time=net_time;
  start();
}
public void run(){
  while(time>dt){
    realstuff.timestep(dt);
    time-=dt;
  }
  realstuff.timestep(time);
  time=0.0;
  view.draw();
}

}

